#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtSql>
#include <QtGui/QMainWindow>

class QTextEdit;
class QTableView;

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();
private:
    QTextEdit *queryEdit;
    QTextEdit *logEdit;
    QSqlQueryModel *resultModel;
    QTableView *resultTable;
private slots:
    void queryExec();
    void settingsDB();
    void connectDB();
};

#endif // MAINWINDOW_H
